var BinaryHeap = require('./src/BinaryHeap');


// Use comparable to choose what you need to compare ahead of time,
// In our example we want to compare the age
var obj = new BinaryHeap({ comparable: function(x) { return x.age; } });

obj.insert({'name': 'John', 'age': 25});
obj.insert({'name': 'Mike', 'age': 21});
obj.insert({'name': 'Aisha', 'age': 33});
obj.insert({'name': 'Sarah', 'age': 20});

console.log(obj.content.length); // { name: 'Aisha', age: 33 }
console.log(obj.remove()); // { name: 'Aisha', age: 33 }
console.log(obj.size()); // { name: 'Aisha', age: 33 }
console.log(obj.remove()); // { name: 'John', age: 25 }
